package com.huiju.welcome.utils;

import java.util.Random;

public class StringUtils {
    public static boolean isEmpty(String str) {
        return null == str || "".equals(str.trim()) || "null".equals(str) || "undefined".equals(str);
    }

    public static String trim(String src, String ...st) {
        if (null == src) return src;
        if (null == st || st.length == 0) return src.trim();

        String start = st[0];
        if (!src.startsWith(start)) {
            return src;
        }

        return src.substring(start.length());
    }

    public static String ifNull(String src, String defaultVal) {
        return null == src || "".equals(src) ? defaultVal : src;
    }

    public static String random(int length) {
        String str="abcdefghijklmnopqrstuvwxyz0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        Random random = new Random();
        StringBuffer sb = new StringBuffer();
        for(int i=0;i<length;i++){
            int number=random.nextInt(62);
            sb.append(str.charAt(number));
        }
        return sb.toString();
    }
    public static String getRandomCode(int number){
        String codeNum = "";
        int [] code = new int[3];
        Random random = new Random();
        for (int i = 0; i < number; i++) {
            int num = random.nextInt(10) + 48;
            int uppercase = random.nextInt(26) + 65;
            int lowercase = random.nextInt(26) + 97;
            code[0] = num;
            code[1] = uppercase;
            code[2] = lowercase;
            codeNum+=(char)code[random.nextInt(3)];
        }

        return codeNum;
    }
}
